# this plugin is written in Python and so cannot provide any debuginfo
%global debug_package %{nil}

# plugin name is different from project name
%global projname Templates-plugin-for-GEdit3

%global commit 854a562c6ad098a0b3fb699177cd95f74d93e885
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# for byte compiling with Python 3
%global __python %{__python3}

Name:           gedit-template
Version:        0.0.2
Release:        2%{?dist}
Summary:        Gedit plugin to create new files from templates

Group:          Applications/Editors
License:        BSD
URL:            https://github.com/dzysyak/Templates-plugin-for-GEdit3
Source0:        https://github.com/dzysyak/%{projname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  python3-devel

Requires:       gedit%{?_isa}
Requires:       python3

%description
This plugin for Gedit allows creation of new documents from templates.

By default this plugin looks for templates in ~/Templates.

%prep
%setup -qn %{projname}-%{commit}

%build
# nothing to do here

%install
mkdir -p %{buildroot}%{_libdir}/gedit/plugins/
install -pm 0644 template.plugin %{buildroot}%{_libdir}/gedit/plugins/
install -pm 0644 template.py %{buildroot}%{_libdir}/gedit/plugins/

%files
%doc LICENSE README
%{_libdir}/gedit/plugins/*

%changelog
* Sat Nov 02 2013 Germán A. Racca <skytux@fedoraproject.org> - 0.0.2-2
- Removed last sentence of description
- Added python3 as explicit requires
- Added byte compiled files

* Mon Oct 28 2013 Germán A. Racca <skytux@fedoraproject.org> - 0.0.2-1
- Initial release of RPM package

